#
# spec file for package mbrola
#
# Copyright (c) 2021 Packman Team <packman@links2linux.de>
# Copyright (c) 2016-2019 Bernhard M. Wiedemann <bernhard+packman@lsmod.de>
# Copyright (c) 2005-2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define tver    0.96
Name:           mbrola
Version:        3.3
Release:        1699.2.pm.66
Summary:        Speech Synthesis System
Summary(de):    Sprachsynthese System
License:        AGPL-3.0-or-later
Group:          Productivity/Text/Convertors
URL:            https://github.com/numediart/MBROLA
Source0:        https://github.com/numediart/MBROLA/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source2:        https://github.com/GHPS/txt2pho/archive/%{tver}.tar.gz#/txt2pho-%{tver}.tar.gz
Source3:        say
Source4:        txt2phorc
# PATCH-FIX-OPENSUSE txt2pho-gcc11.patch
Patch0:         txt2pho-gcc11.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
Requires:       sox
Recommends:     mbrola-de6

%description
Speech Synthesis System.
For german speech output install one or more of the mbrola-de packages.

%description -l de
Sprachsynthese System.
Für deutsche Sprachausgabe installieren Sie eines oder mehrere der
mbrola-de Pakete.

%prep
%setup -q -n MBROLA-%{version} -a 0 -a 2
%patch0 -p1
mkdir txt2pho-%{tver}/lib txt2pho-%{tver}/obj
sed -i 's/SYNTH_VERSION.*/SYNTH_VERSION \"%{version}\"/' Misc/common.h

%build
export CFLAGS="%{optflags}"
%make_build
pushd txt2pho-%{tver}
# not parallel-safe
make CFLAGS="%{optflags}"
popd

%install
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/mbrola
install -m 755 ./Bin/mbrola %{buildroot}%{_bindir}/mbrola

pushd txt2pho-%{tver}
install -m 755 txt2pho %{buildroot}%{_bindir}/
cp -r data %{buildroot}%{_datadir}/mbrola/
install -m 755 pipefilt %{buildroot}%{_bindir}/
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/txt2pho
install -m 755 preproc %{buildroot}%{_bindir}/
install -m 644 data/PPRules/rules.lst %{buildroot}%{_datadir}/mbrola/
install -m 644 data/hadifix.abk %{buildroot}%{_datadir}/mbrola/
popd
install -m 755 %{SOURCE3} %{buildroot}%{_bindir}/
%fdupes %{buildroot}%{_datadir}/%{name}

%files
%doc README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/txt2pho
%{_bindir}/mbrola
%{_bindir}/pipefilt
%{_bindir}/preproc
%{_bindir}/say
%{_bindir}/txt2pho
%{_datadir}/%{name}

%changelog
* Sat Jun 12 2021 Luigi Baldoni <aloisio@gmx.com>
- Define correct version in header file
- Add txt2pho-gcc11.patch
* Wed Oct 14 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.3 and txt2pho to version 0.96
  (no changelog supplied)
- Add txt2phorc as source (no longer supplied upstream)
- Spec cleanup
  Thu Jul  4 00:00:00 UTC 2019 - Bernhard M. Wiedemann <bernhard+packman lsmod de>
- build from source
- do not use dropped recode in 'say' script
  Mon Aug 29 00:00:00 UTC 2016 - Bernhard M. Wiedemann <bernhard+packman lsmod de>
- Require sox for "play" tool used in say script (boo#995740)
* Sat Sep  5 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Tue Nov  1 2005 Manfred.Tremmel@iiv.de
- first release
